#include "StartupSettings.h"

StartupSettings::StartupSettings( bool aIsPowersavingEnabled, QTime aTurnOnAt, QTime aTurnOffAt ) :
		iIsPowersavingEnabled( aIsPowersavingEnabled ),
		iTurnOnAt( aTurnOnAt ),
		iTurnOffAt( aTurnOffAt )
{
}

StartupSettings::~StartupSettings()
{
}

bool StartupSettings::isPowersavingEnabled()
{
	return iIsPowersavingEnabled;
}

QTime StartupSettings::turnOnAt()
{
	return iTurnOnAt;
}

QTime StartupSettings::turnOffAt()
{
	return iTurnOffAt;
}
