#ifndef STARTUPSETTINGS_H_
#define STARTUPSETTINGS_H_

#include <QDateTime>

class StartupSettings
{
public:
	StartupSettings( bool aIsPowersavingEnabled, QTime aTurnOnAt, QTime aTurnOffAt );
	virtual ~StartupSettings();

	bool isPowersavingEnabled();
	QTime turnOnAt();
	QTime turnOffAt();

private:
	bool iIsPowersavingEnabled;
	QTime iTurnOnAt;
	QTime iTurnOffAt;

};

#endif /*STARTUPSETTINGS_H_*/
