#ifndef OBSERVEDWIDGET_H_
#define OBSERVEDWIDGET_H_

#include <QWidget>

class QKeyEvent;
class QTabletEvent;
class QMouseEvent;
class QMouseEvent;
class QMouseEvent;

class ObservedWidget : public QWidget
{
	Q_OBJECT
// TODO : improve the event filtering
public:
	ObservedWidget( QWidget *aParent = 0 );
	virtual ~ObservedWidget();

	void setKeyEventsMonitored( bool aIsMonitored );
	void setMouseEventsMonitored( bool aIsMonitored );
	void setTabletEventsMonitored( bool aIsMonitored );

signals:
	void observedEventDetected();

protected:
	virtual bool eventFilter( QObject* aWatched_object, QEvent* aEvent );

private:
	bool iKeyEventsMonitored;
	bool iMouseEventsMonitored;
	bool iTabletEventsMonitored;

};

#endif /*OBSERVEDWIDGET_H_*/
