#ifndef CLOCK_H_
#define CLOCK_H_

#include <QObject>
#include <QDateTime>

class QTimer;

class Clock : public QObject
{
	Q_OBJECT

public:
	Clock();
	virtual ~Clock();

	QDateTime datetime();
	QDate today();
	QTime time();

signals:
	void tick( QDateTime aCurrentDateTime );

public slots:
	void syncronizeDateTime();

private slots:
	void update();

private:
	QDateTime iCurrentDateTime;
	QTimer* iTimer;
};

#endif /*CLOCK_H_*/
