#ifndef DEVICEDATASTORAGE_H_
#define DEVICEDATASTORAGE_H_

#include <QObject>

class DeviceDataStorage : public QObject
{
	Q_OBJECT

public:
	//! Enumeration of device modes
	/*!
	 * Enumeration of device modes
	 */
	enum DataAction
	{
		Store, /*!< Store data. */
		Read, /*!< Read data. */
		ReadAndRemove /*!< Read and remove data. */
	};

public:
	DeviceDataStorage();
	virtual ~DeviceDataStorage();

public slots:
	bool storeData( QString aSection, QList<QString> aData );
	bool readData( QString aSection, QList<QString> &aData, bool aRemove );

};

#endif /*DEVICEDATASTORAGE_H_*/
